> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranet/b2b/matches/customers > Bulk subscribe customers to an extranet service ## OpenAPI ````json POST /v1/extranet/b2b/matches/customers { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranet/b2b/matches/customers": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bMatchesCustomersPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bMatchesCustomersPostResponse" } } } } }, "description": "Bulk subscribe customers to an extranet service" } } }, "components": { "schemas": { "v1ExtranetB2bMatchesCustomersPostRequest": { "type": "object", "properties": { "customers": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ExtranetServiceProducerCustomer" } }, "serviceId": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "v1ExtranetB2bMatchesCustomersPostResponse": { "type": "object", "properties": { "customers": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ExtranetServiceProducerCustomer" } } }, "additionalProperties": false }, "manaV2ExtranetServiceProducerCustomer": { "type": "object", "properties": { "adminEmails": { "type": "array", "items": { "type": "string", "example": "example string" } }, "customerId": { "type": "string", "example": "example string" }, "matchId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "matchedServices": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "status": { "type": "string", "example": "ENUM_VALUE" }, "type": { "type": "string", "example": "ENUM_VALUE" }, "updatedAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````